> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Customer

> This API can be used to search a customer using email. Partial email can also be used to find a customer.



## OpenAPI

````yaml /api-reference/customers/customer.json post /customer/v1.0/searchCustomer
openapi: 3.0.3
info:
  title: customer API
  description: API's to add and get customer information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /customer/v1.0/searchCustomer:
    post:
      tags:
        - Customer
      summary: Search Customer
      description: >-
        This API can be used to search a customer using email. Partial email can
        also be used to find a customer.
      operationId: searchCustomer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: Partial or full email to be searched.
      responses:
        '200':
          description: All the customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllCustomer'
components:
  schemas:
    getAllCustomer:
      type: object
      properties:
        status:
          type: string
          description: Status response
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All the customers
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.